Subject: Re: chere, mksh and pdksh
From: "Ronald Fischer" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 23 Nov 2011 09:12:13 +0100
List-Id: <cygwin.cygwin.com>

> It's been a while since I last refreshed the package, so I'll have a 
> look and see if I can get something done ASAP.

Is there a technical reason, why chere needs to know a predefined set of
"keys" for the shell to install? For instance, would it not be
sufficient to pass the path to the shell? In this case, new shells can
be installed without the need to update chere. Also, if I can use the
path to the shell as a "key", I could (by using appropriate symlinks)
have several "chere" entries for the same shell (for instance, mintty
with ksh AND rxvt with ksh).

Ronald
-- 
Ronald Fischer <[email-masked]>
+  If a packet hits a pocket on a socket on a port, 
+  and the bus is interrupted and the interrupt's not caught,
+  then the socket packet pocket has an error to report.
+		(cited after Peter van der Linden)

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple